<script>

    export default {
        props: [
            'title',
            'description',
            'fragment',
            'tags'
        ],
        mounted() {

            var tags = [];
            if (this.tags) {
                tags = JSON.parse(this.tags);
            }

            this.$parent.setAnnotation({
                title: this.title,
                description: this.description,
                fragment: this.fragment,
                tags: tags
            });
        },
        render: function(createElement) {}
    }

</script>
